/**************************************************/
/** Application Dialog Layout                   **/
/**************************************************/

/** BEGIN Base Layout **/

.DialogBackground
{
    margin: 0;
    border: 0;
    padding: 0;
    position: fixed; 
    float: left;
    background-color: #666666; 
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";
	filter: alpha(opacity=20);
	-moz-opacity:0.2;
	-khtml-opacity: 0.2;
	opacity: 0.2;
    display: none;
    width: 100%; height: 100%; top: 0px; left: 0px;
    z-index: 500;  
}

.DialogContainer
{
    position: fixed; 
    float: left;
    z-index: 100000000000000;
    top: 130px;
    width: 480px; 
    height: 330px; 
    display: none;
}

/** END Base Layout **/




/** BEGIN DIALOG TITLE / MOVING HEADER Layout **/

.DialogTitle
{
    position: relative; 
    z-index: 399;  
    height: 24px; 
    width: 100%; 
    color: #999;
    white-space: nowrap;
    cursor: move;
}

.DialogTitle span
{
    line-height: 24px;
    height: 24px;
    float:left;
    margin-left: 10px; 
    color: #666;
    font-family: Arial Narrow, Helvetica, sans-serif;
    font-size: 13px;
    font-weight: bold;
    /* SMALL-CAPS */
    font-variant: small-caps;
}

.DialogTitle div
{
    float: right;
    margin: auto;
}

.DialogTitle img
{
    cursor: pointer;
}

/** END DIALOG TITLE / MOVING HEADER Layout **/




/** BEGIN DIALOG STAGE Layout **/

.DialogContent
{
    position: relative; 
    width: 100%;
}

.DialogContent span
{
    text-indent: 15px;
    white-space: normal !Important;
}
 
.DialogContent table
{
    position: relative;
    width: 100%;
    height: 100%;
    table-layout: fixed;
}

/** END DIALOG STAGE Layout **/




/** BEGIN DIALOG IDENTIFICATION Layout **/
 
.DialogContentTitleRow
{
    height: 80px; 
}

/* Dialog Rows Content */

.DialogContentCell
{
    position: relative;
    width: 80px;
    text-align: center;
    vertical-align: middle;
}

.DialogImageContent
{
    width: 80px;
    height: 80px;
    display: inline-block;
}

.DialogImageContent.DialogError
{
    background: transparent url(../App_Images/__Dialog_Error.png) top center no-repeat;
}

.DialogImageContent.DialogWarning
{
    background: transparent url(../App_Images/__Dialog_Warning.png) top center no-repeat;
}

.DialogImageContent.DialogInfo
{
    background: transparent url(../App_Images/__Dialog_Info.png) top center no-repeat;
}

.DialogImageContent.DialogQuestion
{
    background: transparent url(../App_Images/__Dialog_Question.png) top center no-repeat;
}

.DialogContentTitle
{
    border-left: 0;
    width: auto;
    text-align: left;

    font-size: 20px;
    font-family: Arial, Verdana, Helvetica, sans-serif;/*, Helvetica, Verdana, sans-serif;*/
    font-weight: normal;
    /* SMALL-CAPS */
    font-variant: small-caps;
}

.DialogContentTitle img, .DialogContentTitle span
{
    float: left;
}

.DialogContentRow
{
    height: 165px; 
}

.DialogContentRow td table
{
    position: relative;
    width: 100%;
    height: 100%;
}

.DialogTextContent
{
    padding: 5px 10px 5px 5px;
    position: relative;
    text-align: justify;
    vertical-align: middle;
    font-weight: normal;
    display: block;
    height: 40px;
}

.DialogContentTitle span, .DialogTextContent span
{
    white-space: normal;
}

.DialogDetailContent, .DialogSubMessageContent
{
    padding: 0px 4px 4px 4px;
    height: 50px; 
    text-align: left;
}

.DialogContentRow table tr td span
{
    font-weight: normal;
    white-space: normal;
}

.DialogContentRow table tr td div textarea
{
    /*border: 1px solid Gray;
    background-color: White;
    cursor: text;*/
    overflow-y: auto; 
    overflow-x: hidden; 
    font-size: x-small;    
}

/** END DIALOG IDENTIFICATION Layout **/




/** BEGIN VALIDATION COMPONENTS Layout **/

.ValidationMessage
{
    display:block;
    overflow:hidden;
}

.ValidationMessage div:not(.ValidationMessageIcon)
{
    float:left;
    vertical-align:middle;
    text-align:left;
    min-height: 20px;
}

.ValidationMessage .ValidationMessageIcon
{
    width: 24px;
    height: 24px;
    display: inline-block;
}

.ValidationMessage div span
{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 10px;
    line-height: 12px;
    
    padding-top: 2px;
    
    white-space: normal;
    text-align: left;
    cursor: text;
    text-indent: 0px;
}

/** END DIALOG BUTTONS Layout **/




/** BEGIN DIALOG BUTTONS Layout **/

.DialogButtonsContentRow,
.DialogButtonsContentRowSendOrDownload
{
    height: 25px;
}

.DialogButtonsContent
{
    vertical-align: middle;
    text-align: right;
}

/** END DIALOG BUTTONS Layout **/


.DialogContainer .container-expandable-content 
{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 450px;
}

.DialogContainer .container-expandable-content-header
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 430px;
    height: 30px;
}

.DialogContainer .container-expandable-content-header-title
{
    padding-left: 2.5px;
    padding-right: 2.5px;
    font-size: 0.85em;
    color: dimgrey;
}

.DialogContainer .container-expandable-content-header-icon
{
    height: 15px;
    width: 15px;
    padding-left: 2.5px;
    padding-right: 2.5px;
    background-repeat: no-repeat;
    background-position: center center;
}

.DialogContainer .container-expandable-content-toggle
{
    display: none;
}


.DialogContainer .container-expandable-content-toggle:checked ~ .container-expandable-content-body {
  display: flex;
  margin-bottom: 10px;
}

.DialogContainer .container-expandable-content-toggle ~ .container-expandable-content-body {
    display: none;
}

.DialogContainer .container-expandable-content-body textarea
{
    width: 430px;
    max-width: 430px;
    min-width: 430px;
    min-height: 80px;
    overflow: auto; 
    resize: vertical;
}




